org.apache.cassandra.db

## Class LegacyLayout.LegacyUnfilteredPartition

- java.lang.Object
- - org.apache.cassandra.db.LegacyLayout.LegacyUnfilteredPartition

- Enclosing class:
    LegacyLayout

      public static class LegacyLayout.LegacyUnfilteredPartition
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<LegacyLayout.LegacyCell>` | `cells`
    `DeletionTime` | `partitionDeletion`
    `LegacyLayout.LegacyRangeTombstoneList` | `rangeTombstones`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `digest(CFMetaData metadata, java.security.MessageDigest digest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### partitionDeletion

          public final DeletionTime partitionDeletion

    - #### rangeTombstones

          public final LegacyLayout.LegacyRangeTombstoneList rangeTombstones

    - #### cells

          public final java.util.List<LegacyLayout.LegacyCell> cells

  - ### Method Detail

    - #### digest

          public void digest(CFMetaData metadata,
                             java.security.MessageDigest digest)

Copyright © 2018 The Apache Software Foundation